#unity-container { position: absolute }
#unity-container.unity-desktop { width: 100%; height: 100%; left: 50%; top: 50%; transform: translate(-50%, -50%) }
#unity-container.unity-mobile { position: fixed; width: 100%; height: 100% }
#unity-canvas { background: #FFFFFF; }
.unity-mobile #unity-canvas { width: 100%; height: 100% }
#unity-loading-bar { position: absolute; left: 50%; top: 50%; transform: translate(-50%, -50%); display: none }
#unity-logo { width: 154px; height: 130px; background: url('logo_cupheroes.png') no-repeat center }
#unity-progress-bar-empty { 
  left: 50%; top: 65%; transform: translate(-50%);
  position: absolute;
  width: 141px; 
  height: 18px; 
  margin-top: 10px; 
  margin-left: 6.5px; 
  background: url('progress-bar-empty-dark.png') no-repeat center; 
  margin: auto;
}
#unity-progress-bar-full { width: 0%; height: 18px; margin-top: 0px; background: url('progress-bar-full-dark.png') no-repeat center }
#unity-progress-bar-empty_2 { 
  left: 50%; top: 85%; transform: translate(-50%, 0);
  position: absolute;
  width: 199px; 
  height: 25px; 
  background: url('bar-empty.png') no-repeat center; 
  display: none;
}
#unity-progress-bar-full_2 { width: 0%; height: 25px; margin-top: 0px; background: url('bar-full.png') no-repeat left center }

#unity-footer { position: relative }
.unity-mobile #unity-footer { display: none }
#unity-webgl-logo { float:left; width: 204px; height: 38px; background: url('webgl-logo.png') no-repeat center }
#unity-build-title { float: right; margin-right: 10px; line-height: 38px; font-family: arial; font-size: 18px }
#unity-fullscreen-button { cursor:pointer; float: right; width: 38px; height: 38px; background: url('fullscreen-button.png') no-repeat center }
#unity-warning { position: absolute; left: 50%; top: 5%; transform: translate(-50%); background: white; padding: 10px; display: none }

/* Remove the default margins for consistency. */
* {
  margin: 0;
}

/* Match the viewport. */
html, body {
  width: 100%;
  height: 100%;
	padding: 0;
	margin: 0;
}

/* Prevent the canvas from scrolling. */
canvas {
  display: block;
}

#loading-container {
  position: absolute;
  margin: auto;
    width: 100%;  
    height: 100%;
  background-image: url('../assets/bg_tiles.jpg');
  background-repeat: repeat;

}

.unity-preload-1{
  width: 100%;  
  height: 100%;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}

.unity-preload-1 img {
  margin-top: -15%;
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
  border-radius: 15px;
}

.unity-preload-2{
  width: 100%;  
  height: 100%;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  display: none;
}

.unity-preload-2 img {
  height: 100vh;
  width: auto;
  object-fit: contain;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}


#filler{
  width: 100%;
  height: 75%;
}

.bouton-play {
  position: relative; /* important pour le ::before */
  overflow: hidden;
  left: 50%; top: 78%; transform: translate(-50%);
  display: inline-block;
  padding: 16px 76px;
  font-size: 2.2rem;
  font-family: Arial, Helvetica, sans-serif;
  font-weight: bold;
  color: #fff;
  background: linear-gradient(to bottom, #ffe600 0%, #87a801 100%);
  border: 3px solid #000000;
  border-radius: 20px;
  box-shadow: 0 2px 0 #000000, 0 4px 12px rgba(0,0,0,0.15);
  text-shadow: 
    -2px -2px 0 #000000,
      2px -2px 0 #000000,
    -2px  2px 0 #000000,
      2px  2px 0 #000000;
  cursor: pointer;
  transition: filter 0.1s, transform 0.1s;
}
.bouton-play::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 50%;
  background: linear-gradient(
    to bottom,
    rgba(255,255,255,0.7) 0%,
    rgba(255,255,255,0.25) 80%,
    rgba(255,255,255,0) 100%
  );
  border-radius: 20px 20px 0 0 / 50% 50% 0 0;
  pointer-events: none;
  z-index: 1;
}

.bouton-play:active {
  filter: brightness(0.95)
}

